//
// Custom variables
//

$sj-color-bg-page:           #fff;

//MQ Breakpoints

$grid-breakpoints: (
  xs:                        0,
  sm:                        576px,
  md:                        768px,
  lg:                        992px,
  xl:                        1200px
) !default;

$mq-breakpoints: (
  mobile-portrait:           320px,
  mobile:                    576px,
  tablet:                    768px,
  desktop:                   992px,
  wide:                      1200px
);


$grid-gutter-width-base:     20px;

// Colors
$color-primary:              #4e99e3;
$color-primary-light:        #73bbfb;
$color-primary-dark:         #2d659d;
$color-primary-highlight:    #ebf5ff;

$color-success:              #19aa4c;
$color-success-light:        #39d16e;
$color-success-dark:         #037b2d;
$color-success-highlight:    #ebf9f0;

$color-danger:               #f84343;
$color-danger-light:         #ff7e7e;
$color-danger-dark:          #c90101;

$color-info:                 #7a43f8;
$color-info-light:           #986dfb;
$color-info-light:           #986dfb;

$color-approve:              #fea45b;

$color-warning:              #f08d3d;

$color-text:                 #000;
$color-text-dark:            #59667d;
$color-text-secondary:       #8c96a9;
$color-border:               #dde6ed;
$color-border-highligted:    #c5d5e0;
$color-bg:                   #f5f8fa;
$color-lines:                #e6edf2;

$brand-primary:             $color-primary;
$brand-success:             $color-success;
$brand-danger:              $color-danger;


//Links
$link-color:                 $color-primary;
$link-decoration:            none;
$link-hover-color:           $color-primary-dark;
$link-hover-decoration:      none;


//Animation
$base-transition:            all .2s ease;

//Typography
$font-primary:               'Source Sans Pro', sans-serif;
$base-size:                  16;
$base-font-size:             $base-size * 1px;

$line-height-base:           1.5 ;
$headings-font-weight:       bold;

$font-size-xs:               (12 / $base-size) * 1rem;
$font-size-sm:               (14 / $base-size) * 1rem;
$font-size-md:               (16 / $base-size) * 1rem;
$font-size-lg:               (20 / $base-size) * 1rem;
$font-size-xlg:              (22 / $base-size) * 1rem;
$font-size-mega:             (26 / $base-size) * 1rem;

$font-size-h1:                $font-size-xlg;
$font-size-h2:                $font-size-lg;
$font-size-h3:                $font-size-md;
$font-size-h4:                $font-size-md;
$font-size-h5:                $font-size-md;
$font-size-h6:                $font-size-md;

$font-weight-bold: 600;

//Border
$base-border:                    1px solid $color-border;
$border-radius:                  0;



//Buttons
$border-radius:                  0;
$border-radius-lg:               0;
$border-radius-sm:               0;
$btn-border-radius:              0;
$btn-border-radius-lg:           0;
$btn-border-radius-sm:           0;
$btn-focus-box-shadow:           0;
$btn-active-box-shadow:          0;

$btn-primary-bg:                $color-primary;
$btn-primary-border:            $color-primary;

$btn-success-bg:                $color-success;
$btn-success-border:            $color-success;

$btn-danger-bg:                 $color-danger;
$btn-danger-border:              $color-danger;




//Forms

$input-padding-x:                14px;
$input-padding-y:                14px;
$input-line-height:              1.25;
$input-border-color:             $color-border;
$input-bg-disabled:              #FFF;

$input-color:                    $color-text;
$input-border-color:             $color-border;
$input-box-shadow:               0;

$input-border-radius:            0;
$input-border-radius-lg:         0;
$input-border-radius-sm:         0;

$input-bg-focus:                 #FFF;
$input-border-focus:             $color-primary;
$input-box-shadow-focus:         0;
$input-color-focus:              $color-text;

$input-color-placeholder:        $color-text-secondary;
$input-height:                   auto;
$input-height-lg:                auto;
$input-height-sm:                auto;

$custom-select-padding-x:                     .875rem;
$custom-select-padding-y:                     .875rem;
$custom-select-indicator-padding:             1rem;
$custom-select-color:                         $input-color;
$custom-select-bg-size:                       10px;
$custom-select-indicator:                     url("data:image/svg+xml;charset=utf8,%3C?xml version='1.0' encoding='utf-8'?%3E%3C!-- Generator: Adobe Illustrator 16.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E%3C!DOCTYPE svg PUBLIC '-//W3C//DTD SVG 1.1//EN' 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'%3E%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='30px' height='30px' viewBox='0 0 30 30' enable-background='new 0 0 30 30' xml:space='preserve'%3E%3Cpath fill='%238C96A9' d='M15.001,23.088l2.187-2.182L28.546,9.544c0.605-0.603,0.605-1.577,0-2.182c-0.604-0.602-1.575-0.602-2.179,0 L15.001,18.729L3.633,7.362c-0.605-0.602-1.577-0.602-2.183,0c-0.602,0.605-0.602,1.579,0,2.182l11.36,11.362L15.001,23.088z'/%3E%3C/svg%3E");
$custom-select-border-color:                  $color-border;
$custom-select-border-radius:                 0;
$custom-select-focus-border-color:            $color-primary-dark;


$custom-control-indicator-bg:                 #FFF;
$custom-control-indicator-bg-size:            80%;
$custom-control-indicator-box-shadow:         0;
$custom-control-gutter:                       2rem;


$custom-control-checked-indicator-color:      $color-primary;
$custom-control-checked-indicator-bg:         #FFF;
$custom-control-focus-indicator-box-shadow:   0;

$custom-control-active-indicator-color:       #FFF;
$custom-control-active-indicator-bg:          #FFF;

$custom-checkbox-radius:                      0;
$custom-checkbox-checked-icon:                url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath fill='#{$color-primary}' d='M24.803 2.382L10.898 19.417l-5.962-6.306L1 16.836l10.2 10.782L29 5.807z'/%3E%3C/svg%3E");





// Dropdowns
$dropdown-min-width:             10rem;
$dropdown-padding-y:             .5rem;
$dropdown-item-padding-x:        .9rem;
$dropdown-margin-top:            0;
$dropdown-border-width:          0;

// Navs


$nav-link-padding:              0.7em;



// Badges

$badge-danger-bg:             $color-danger;

//$badge-color:                 $white;
//$badge-link-hover-color:      $white;
$badge-font-size:             100%;
//$badge-font-weight:           $font-weight-bold;
$badge-padding-x:             .1em;
$badge-padding-y:             .1em;

$badge-pill-padding-x:        .4em;
// Use a higher than normal value to ensure completely rounded edges when
// customizing padding or font-size on labels.
$badge-pill-border-radius:    10rem;
